package com.ruoyi.biz.controller;

import java.util.List;
import java.util.Arrays;
import java.util.concurrent.TimeUnit;

import com.ruoyi.biz.domain.vo.ArUserVo;
import lombok.RequiredArgsConstructor;
import javax.servlet.http.HttpServletResponse;
import javax.validation.constraints.*;
import cn.dev33.satoken.annotation.SaCheckPermission;
import org.springframework.web.bind.annotation.*;
import org.springframework.validation.annotation.Validated;
import com.ruoyi.common.annotation.RepeatSubmit;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import com.ruoyi.common.core.validate.QueryGroup;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.biz.domain.vo.ArUserRecordVo;
import com.ruoyi.biz.domain.bo.ArUserRecordBo;
import com.ruoyi.biz.service.IArUserRecordService;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 用户使用记录
 *
 * @author gwd
 * @date 2023-11-10
 */
@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/biz/userRecord")
public class ArUserRecordController extends BaseController {

    private final IArUserRecordService iArUserRecordService;

    /**
     * 查询用户使用记录列表
     */
    @SaCheckPermission("biz:userRecord:list")
    @GetMapping("/list")
    public TableDataInfo<ArUserVo> list(Long classificationId, PageQuery pageQuery) {
        return iArUserRecordService.queryPageList(classificationId, pageQuery);
    }

//    /**
//     * 导出用户使用记录列表
//     */
//    @SaCheckPermission("biz:userRecord:export")
//    @Log(title = "用户使用记录", businessType = BusinessType.EXPORT)
//    @PostMapping("/export")
//    public void export(ArUserRecordBo bo, HttpServletResponse response) {
//        List<ArUserRecordVo> list = iArUserRecordService.queryList(bo);
//        ExcelUtil.exportExcel(list, "用户使用记录", ArUserRecordVo.class, response);
//    }

//    /**
//     * 获取用户使用记录详细信息
//     *
//     * @param id 主键
//     */
//    @SaCheckPermission("biz:userRecord:query")
//    @GetMapping("/{id}")
//    public R<ArUserRecordVo> getInfo(@NotNull(message = "主键不能为空")
//                                     @PathVariable Long id) {
//        return R.ok(iArUserRecordService.queryById(id));
//    }

    /**
     * 新增用户使用记录
     */
    @SaCheckPermission("biz:userRecord:add")
    @Log(title = "用户使用记录", businessType = BusinessType.INSERT)
    @RepeatSubmit()
    @PostMapping()
    public R<Void> add(@Validated(AddGroup.class) @RequestBody ArUserRecordBo bo) {
        return toAjax(iArUserRecordService.insertByBo(bo) ? 1 : 0);
    }

//    /**
//     * 修改用户使用记录
//     */
//    @SaCheckPermission("biz:userRecord:edit")
//    @Log(title = "用户使用记录", businessType = BusinessType.UPDATE)
//    @RepeatSubmit()
//    @PutMapping()
//    public R<Void> edit(@Validated(EditGroup.class) @RequestBody ArUserRecordBo bo) {
//        return toAjax(iArUserRecordService.updateByBo(bo) ? 1 : 0);
//    }

//    /**
//     * 删除用户使用记录
//     *
//     * @param ids 主键串
//     */
//    @SaCheckPermission("biz:userRecord:remove")
//    @Log(title = "用户使用记录", businessType = BusinessType.DELETE)
//    @DeleteMapping("/{ids}")
//    public R<Void> remove(@NotEmpty(message = "主键不能为空")
//                          @PathVariable Long[] ids) {
//        return toAjax(iArUserRecordService.deleteWithValidByIds(Arrays.asList(ids), true) ? 1 : 0);
//    }
}
