package com.ruoyi.biz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 分类业务对象 ar_classification
 *
 * @author gwd
 * @date 2023-11-10
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ArClassificationBo extends BaseEntity {

    /**
     * id
     */
    @NotNull(message = "id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 分类名
     */
    @NotBlank(message = "分类名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 父级id
     */
    private Long parentId;

    /**
     * 分类地址
     */
    private String urlHref;

    /**
     * 图片地址
     */
    private String urlImage;


}
