package com.ruoyi.biz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 相册业务对象 ar_file_image
 *
 * @author gwd
 * @date 2023-07-11
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ArFileImageBo extends BaseEntity {

    /**
     * id
     */
    @NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * ossId
     */
    @NotNull(message = "ossId不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long ossId;

    /**
     * 用户id
     */
    @NotNull(message = "userId不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long userId;

    /**
     * 头像
     */
    @NotBlank(message = "地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String url;

    /**
     * 类型：1.照片，2.视频
     */
    private Integer type;
}
